<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">android</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html">MockAttachmentReader</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class mocks an attachment reader that reads from the <code>INPUT_CSTR</code>.  
 <a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader_inherit__map" id="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html" title="alexaClientSDK::avsCommon\l::avs::attachment::AttachmentReader" alt="" coords="5,5,247,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader_coll__map" id="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html" title="alexaClientSDK::avsCommon\l::avs::attachment::AttachmentReader" alt="" coords="5,5,247,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af14f4abbcf4a1f0623cb9f7f5a12bb33"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#af14f4abbcf4a1f0623cb9f7f5a12bb33">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ae67249ec9ce58aee98cb805088a148dc">seek</a>, bool(uint64_t offset))</td></tr>
<tr class="separator:af14f4abbcf4a1f0623cb9f7f5a12bb33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72fe0e05e9a8f6146d889dcae0c43269"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a72fe0e05e9a8f6146d889dcae0c43269">MOCK_CONST_METHOD0</a> (tell, uint64_t())</td></tr>
<tr class="separator:a72fe0e05e9a8f6146d889dcae0c43269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8f1e89973192080454788755b3ab7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a4a8f1e89973192080454788755b3ab7a">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ac02b7a2a76504cf697ce05ffb990dbd6">getNumUnreadBytes</a>, uint64_t())</td></tr>
<tr class="separator:a4a8f1e89973192080454788755b3ab7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7d3b34e52a14251914b1489d0d7576"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a2a7d3b34e52a14251914b1489d0d7576">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">close</a>, void(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">ClosePoint</a> closePoint))</td></tr>
<tr class="separator:a2a7d3b34e52a14251914b1489d0d7576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a848c1be7d7914f786b2e3437840fb5a1"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a848c1be7d7914f786b2e3437840fb5a1">read</a> (void *buf, std::size_t numBytes, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74">AttachmentReader::ReadStatus</a> *readStatus, std::chrono::milliseconds timeoutMs)</td></tr>
<tr class="separator:a848c1be7d7914f786b2e3437840fb5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacf59e54fca68b28f5ab1fdcce559e54"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#aacf59e54fca68b28f5ab1fdcce559e54">MockAttachmentReader</a> (const unsigned char *input, size_t length, ssize_t timeoutIteration=-1)</td></tr>
<tr class="separator:aacf59e54fca68b28f5ab1fdcce559e54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14f4abbcf4a1f0623cb9f7f5a12bb33"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#af14f4abbcf4a1f0623cb9f7f5a12bb33">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ae67249ec9ce58aee98cb805088a148dc">seek</a>, bool(uint64_t offset))</td></tr>
<tr class="separator:af14f4abbcf4a1f0623cb9f7f5a12bb33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72fe0e05e9a8f6146d889dcae0c43269"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a72fe0e05e9a8f6146d889dcae0c43269">MOCK_CONST_METHOD0</a> (tell, uint64_t())</td></tr>
<tr class="separator:a72fe0e05e9a8f6146d889dcae0c43269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8f1e89973192080454788755b3ab7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a4a8f1e89973192080454788755b3ab7a">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ac02b7a2a76504cf697ce05ffb990dbd6">getNumUnreadBytes</a>, uint64_t())</td></tr>
<tr class="separator:a4a8f1e89973192080454788755b3ab7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7d3b34e52a14251914b1489d0d7576"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a2a7d3b34e52a14251914b1489d0d7576">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">close</a>, void(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">ClosePoint</a> closePoint))</td></tr>
<tr class="separator:a2a7d3b34e52a14251914b1489d0d7576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a848c1be7d7914f786b2e3437840fb5a1"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html#a848c1be7d7914f786b2e3437840fb5a1">read</a> (void *buf, std::size_t numBytes, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74">AttachmentReader::ReadStatus</a> *readStatus, std::chrono::milliseconds timeoutMs)</td></tr>
<tr class="separator:a848c1be7d7914f786b2e3437840fb5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a></td></tr>
<tr class="memitem:a460af26fc9bbf1671a1dc0be3a4030bd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a460af26fc9bbf1671a1dc0be3a4030bd">~AttachmentReader</a> ()=default</td></tr>
<tr class="separator:a460af26fc9bbf1671a1dc0be3a4030bd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae67249ec9ce58aee98cb805088a148dc inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ae67249ec9ce58aee98cb805088a148dc">seek</a> (uint64_t offset)=0</td></tr>
<tr class="separator:ae67249ec9ce58aee98cb805088a148dc inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac02b7a2a76504cf697ce05ffb990dbd6 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memItemLeft" align="right" valign="top">virtual uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ac02b7a2a76504cf697ce05ffb990dbd6">getNumUnreadBytes</a> ()=0</td></tr>
<tr class="separator:ac02b7a2a76504cf697ce05ffb990dbd6 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a3bb38796a3a8e23782ecb38d8d6fed inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">close</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">ClosePoint</a> closePoint=<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2fac7b7279c5169b23f95b28bd9e9437b79">ClosePoint::AFTER_DRAINING_CURRENT_BUFFER</a>)=0</td></tr>
<tr class="separator:a1a3bb38796a3a8e23782ecb38d8d6fed inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a></td></tr>
<tr class="memitem:abf0a8d5bc9decff5049c41eaabe75f74 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74">ReadStatus</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74ae0aa021e21dddbd6d8cecec71e9cf564">ReadStatus::OK</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74a787bd2f5224b6b864eea398349436849">ReadStatus::OK_WOULDBLOCK</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74adb301c3410dd8d428a7f17043740bb14">ReadStatus::OK_TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74a5733e892cb003e9cd8bbcba8cabcddf4">ReadStatus::OK_OVERRUN_RESET</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74a110ccf2f5d2ff4eda1fd1a494293467d">ReadStatus::CLOSED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74a6473b0b6f8e61be94630555e2d4a9baa">ReadStatus::ERROR_OVERRUN</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74aa1238e1a739964feb62763f7bf0875f0">ReadStatus::ERROR_BYTES_LESS_THAN_WORD_SIZE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74a7b6311615dfbbaccec8279677f19feea">ReadStatus::ERROR_INTERNAL</a>
<br />
 }</td></tr>
<tr class="separator:abf0a8d5bc9decff5049c41eaabe75f74 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa294a325880ee91da440be7008099f2f inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">ClosePoint</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2fad051319484a869ba5244878e7ed93b8d">ClosePoint::IMMEDIATELY</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2fac7b7279c5169b23f95b28bd9e9437b79">ClosePoint::AFTER_DRAINING_CURRENT_BUFFER</a>
 }</td></tr>
<tr class="memdesc:aa294a325880ee91da440be7008099f2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">An enum class to indicate when the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a4cbeab24735c515366f5c3df77af15e9">read()</a></code> function should stop returning data after a call to <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">close()</a></code>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">More...</a><br /></td></tr>
<tr class="separator:aa294a325880ee91da440be7008099f2f inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This class mocks an attachment reader that reads from the <code>INPUT_CSTR</code>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aacf59e54fca68b28f5ab1fdcce559e54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacf59e54fca68b28f5ab1fdcce559e54">&#9670;&nbsp;</a></span>MockAttachmentReader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MockAttachmentReader </td>
          <td>(</td>
          <td class="paramtype">const unsigned char *&#160;</td>
          <td class="paramname"><em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ssize_t&#160;</td>
          <td class="paramname"><em>timeoutIteration</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class=""><code><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html" title="This class mocks an attachment reader that reads from the INPUT_CSTR. ">MockAttachmentReader</a></code> constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">input</td><td>The buffer that holds the input data. </td></tr>
    <tr><td class="paramname">length</td><td>The <code>input</code> buffer length. </td></tr>
    <tr><td class="paramname">timeoutIteration</td><td>Optional iteration that should trigger a timeout response. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a72fe0e05e9a8f6146d889dcae0c43269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72fe0e05e9a8f6146d889dcae0c43269">&#9670;&nbsp;</a></span>MOCK_CONST_METHOD0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_CONST_METHOD0 </td>
          <td>(</td>
          <td class="paramtype">tell&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a72fe0e05e9a8f6146d889dcae0c43269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72fe0e05e9a8f6146d889dcae0c43269">&#9670;&nbsp;</a></span>MOCK_CONST_METHOD0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_CONST_METHOD0 </td>
          <td>(</td>
          <td class="paramtype">tell&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a8f1e89973192080454788755b3ab7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8f1e89973192080454788755b3ab7a">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ac02b7a2a76504cf697ce05ffb990dbd6">getNumUnreadBytes</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a8f1e89973192080454788755b3ab7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8f1e89973192080454788755b3ab7a">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ac02b7a2a76504cf697ce05ffb990dbd6">getNumUnreadBytes</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af14f4abbcf4a1f0623cb9f7f5a12bb33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af14f4abbcf4a1f0623cb9f7f5a12bb33">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ae67249ec9ce58aee98cb805088a148dc">seek</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(uint64_t offset)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a7d3b34e52a14251914b1489d0d7576"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a7d3b34e52a14251914b1489d0d7576">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">close</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">ClosePoint</a> closePoint)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af14f4abbcf4a1f0623cb9f7f5a12bb33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af14f4abbcf4a1f0623cb9f7f5a12bb33">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#ae67249ec9ce58aee98cb805088a148dc">seek</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(uint64_t offset)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a7d3b34e52a14251914b1489d0d7576"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a7d3b34e52a14251914b1489d0d7576">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a1a3bb38796a3a8e23782ecb38d8d6fed">close</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#aa294a325880ee91da440be7008099f2f">ClosePoint</a> closePoint)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a848c1be7d7914f786b2e3437840fb5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a848c1be7d7914f786b2e3437840fb5a1">&#9670;&nbsp;</a></span>read() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::read </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>numBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74">AttachmentReader::ReadStatus</a> *&#160;</td>
          <td class="paramname"><em>readStatus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeoutMs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The read function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">buf</td><td>The buffer where data should be copied to. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">numBytes</td><td>The size of the buffer in bytes. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">readStatus</td><td>The out-parameter where the resulting state of the read will be expressed. </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">timeoutMs</td><td>The timeout for this read call in milliseconds. This value is only used for the <code>BLOCKING</code> reader policy. If this parameter is zero, there is no timeout and blocking reads will wait forever. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of bytes read as a result of this call. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a4cbeab24735c515366f5c3df77af15e9">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a>.</p>

</div>
</div>
<a id="a848c1be7d7914f786b2e3437840fb5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a848c1be7d7914f786b2e3437840fb5a1">&#9670;&nbsp;</a></span>read() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t alexaClientSDK::mediaPlayer::android::test::MockAttachmentReader::read </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>numBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#abf0a8d5bc9decff5049c41eaabe75f74">AttachmentReader::ReadStatus</a> *&#160;</td>
          <td class="paramname"><em>readStatus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeoutMs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Method that simulates files reading.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>The buffer to read into. </td></tr>
    <tr><td class="paramname">numBytes</td><td>The number of bytes to read. </td></tr>
    <tr><td class="paramname">readStatus[out]</td><td>The status from the last read. </td></tr>
    <tr><td class="paramname">timeoutMs</td><td>The timeout used for the read operation. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of bytes read. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html#a4cbeab24735c515366f5c3df77af15e9">alexaClientSDK::avsCommon::avs::attachment::AttachmentReader</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></li>
<li>/workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/<a class="el" href="_f_fmpeg_attachment_input_controller_test_8cpp.html">FFmpegAttachmentInputControllerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
